Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 955343 - "no Resilient Storage Packages Found" with lvm2-cluster and gfs2-utils installed
Summary: "no Resilient Storage Packages Found" with lvm2-cluster and gfs2-utils installed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sx
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierguido Lambri
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 976404 977240 977242 977243
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-22 19:15 UTC by Trapier Marshall
Modified: 2013-09-30 01:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 18:00:25 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Trapier Marshall 2013-04-22 19:15:44 UTC
Description of problem:
lvm2-cluster and gfs2-utils are "Resilient Storage" packages.

The sxconsole cluster summary contains the following:

  There was no Resilient Storage Packages Found.

When both lvm2-cluster and gfs2-utils are installed.

The only time this message is not printed is when kmod-gfs(2)
is installed.  It should be changed to reflect its "kmod"
nature.


Version-Release number of selected component (if applicable):
sx-2.14-1.fc17.noarch

How reproducible:
every time sxconsole is run on a sosreport with some Resilient Storage package installed, but no  kmod-gfs(2) installed.


Steps to Reproduce:
run sxconsole on sosreports with gfs2-utils or lvm2-cluster with no kmod-gfs(2) packages installed.

  
Actual results:
sxconsole prints "There was no Resilient Storage Packages Found." in the summary

Expected results:
sxconsole prints something regarding the kmod-gfs(2) nature of this warning.

Additional info:

Comment 1 Pierguido Lambri 2013-04-29 15:51:59 UTC
I just checked the part where it prints the message.
I think it's more a wrong description of the output than a real error.

The message should be be something:

"No cluster modules packages found" or similar.

This is the list of modules packages for release:

    # Packages that are modules for the kernel
    RHEL4_MODULE_LIST = ["cman-kernel", "cman-kernel-smp", "cman-kernel-largesmp", "cman-kernel-xenU", "cman-kernel-hugemem", "cman-kernel-xen",
                         "dlm-kernel", "dlm-kernel-smp", "dlm-kernel-largesmp", "dlm-kernel-xenU", "dlm-kernel-hugemem", "dlm-kernel-xen",
                         "cmirror-kernel", "cmirror-kernel-smp", "cmirror-kernel-largesmp", "cmirror-kernel-xenU", "cmirror-kernel-hugemem", "cmirror-kernel-xen",
                         "GFS-kernel", "GFS-kernel-smp", "GFS-kernel-largesmp", "GFS-kernel-xenU", "GFS-kernel-hugemem", "GFS-kernel-xen"]

    RHEL5_MODULE_LIST = ["kmod-gfs2", "kmod-gfs2-xen", "kmod-gfs", "kmod-gfs-xen"]

    RHEL6_MODULE_LIST = []

Comment 2 Shane Bradley 2013-04-29 16:04:27 UTC
The warning message has been fixed in local git repo but has not been checked in yet.

The warning that is now returned states the following if no cluster or rs packages are found:
"There was no High Availability or Resilient Storage Packages Found."

The warning that is now returned states the following if no modules packages are found for cluster and rs:
"There was no High Availability Module or Resilient Storage Module Packages Found."

Comment 3 Niels de Vos 2013-05-01 09:26:07 UTC
We'll be able to fix this in Fedora when Shane releases a new version, or pushes the patch to the upstream repository:
- https://git.fedorahosted.org/cgit/sx.git/

Pier, I'll assign this to you for the time being :)

Comment 4 Fedora End Of Life 2013-07-04 07:41:29 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2013-08-01 18:00:30 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.